Maintenance Window Options - Get

使用可能なメンテナンス期間の一覧を取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/maintenanceWindowOptions/current?api-version=2025-01-01&maintenanceWindowOptionsName={maintenanceWindowOptionsName}

URI パラメーター

名前 / 必須 型 説明
databaseName
path True

string

データベースの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

maintenanceWindowOptionsName
query True

string

メンテナンス期間のオプション名。

応答

名前 型 説明
200 OK

MaintenanceWindowOptions

Azureの運用は無事に完了しました。

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

Gets a list of available maintenance windows for a selected database.

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/maintenanceWindowOptions/current?api-version=2025-01-01&maintenanceWindowOptionsName=current

応答のサンプル

{
  "name": "current",
  "type": "Microsoft.Sql/servers/databases/maintenancewindows",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/maintenancewindowoptions/current",
  "properties": {
    "allowMultipleMaintenanceWindowsPerCycle": true,
    "defaultDurationInMinutes": 120,
    "isEnabled": true,
    "maintenanceWindowCycles": [
      {
        "dayOfWeek": "Saturday",
        "duration": "PT60M",
        "startTime": "00:00:00"
      }
    ],
    "minCycles": 2,
    "minDurationInMinutes": 60,
    "timeGranularityInMinutes": 5
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

DayOfWeek

メンテナンス期間の日。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

MaintenanceWindowOptions

メンテナンス期間のオプション。

MaintenanceWindowTimeRange

メンテナンス期間の時間範囲。

systemData

リソースの作成と最後の変更に関連するメタデータ。

createdByType

リソースを作成した ID の種類。

値 説明
User
Application
ManagedIdentity
Key

DayOfWeek

メンテナンス期間の日。

値 説明
Sunday

日曜日

Monday

月曜日

Tuesday

火曜日

Wednesday

水曜日

Thursday

木曜日

Friday

金曜日

Saturday

土曜日

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 型 説明
error

ErrorDetail

エラー オブジェクト。

MaintenanceWindowOptions

メンテナンス期間のオプション。

名前 型 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.allowMultipleMaintenanceWindowsPerCycle

boolean

サイクルごとに複数のメンテナンス期間を許可するかどうか。

properties.defaultDurationInMinutes

integer (int32)

メンテナンス期間の既定の期間。

properties.isEnabled

boolean

データベースに対してメンテナンス期間が有効になっているかどうか。

properties.maintenanceWindowCycles

MaintenanceWindowTimeRange[]

{土曜日、0、4860}、{水曜日、0、2460} などの利用可能なメンテナンス サイクル。

properties.minCycles

integer (int32)

データベースに設定するメンテナンス期間の最小サイクル数。

properties.minDurationInMinutes

integer (int32)

メンテナンス期間の最小期間。

properties.timeGranularityInMinutes

integer (int32)

メンテナンス期間の時間の細分性 (分単位)。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

MaintenanceWindowTimeRange

メンテナンス期間の時間範囲。

名前 型 説明
dayOfWeek

DayOfWeek

メンテナンス期間の日。

duration

string

メンテナンス期間 (分単位)。

startTime

string

午前 12 時からの開始時刻の分オフセット。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 型 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。